Index: library/tests/mat_checks.h
===================================================================
--- library/tests/mat_checks.h (revision 727)
+++ library/tests/mat_checks.h (revision 1064)
@@ -32,10 +32,10 @@
                          const itpp::vec &actual, double tolerance,
                          TestDetails const &details ) {
-	if ( !AreClose ( expected, actual, tolerance ) ) {
-		MemoryOutStream stream;
-		stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
+    if ( !AreClose ( expected, actual, tolerance ) ) {
+        MemoryOutStream stream;
+        stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
 
-		results.OnTestFailure ( details, stream.GetText() );
-	}
+        results.OnTestFailure ( details, stream.GetText() );
+    }
 }
 
@@ -43,10 +43,10 @@
                          const itpp::mat &actual, double tolerance,
                          TestDetails const &details ) {
-	if ( !AreClose ( expected, actual, tolerance ) ) {
-		MemoryOutStream stream;
-		stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
+    if ( !AreClose ( expected, actual, tolerance ) ) {
+        MemoryOutStream stream;
+        stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
 
-		results.OnTestFailure ( details, stream.GetText() );
-	}
+        results.OnTestFailure ( details, stream.GetText() );
+    }
 }
 
@@ -56,6 +56,6 @@
   tests (currently 2). */
 inline itpp::vec make_close_tolerance ( const itpp::vec & variance, int nsamples ) {
-	// simplify overloading for Visual Studio
-	return 3 * ( sqrt ( variance ) / sqrt ( static_cast<double> ( nsamples ) ) );
+    // simplify overloading for Visual Studio
+    return 3 * ( sqrt ( variance ) / sqrt ( static_cast<double> ( nsamples ) ) );
 }
 
@@ -64,49 +64,49 @@
 class CurrentContext {
 public:
-	// how many times to repeat a failing test before reporting
-	// failure
-	static const int max_trial_count = 3;
+    // how many times to repeat a failing test before reporting
+    // failure
+    static const int max_trial_count = 3;
 
 private:
-	static const char *config_name;
-	static int index;
+    static const char *config_name;
+    static int index;
 
 public:
-	// the pointer must stay valid for the lifetime of the object
-	CurrentContext ( const char *name, int idx );
-	~CurrentContext();
+    // the pointer must stay valid for the lifetime of the object
+    CurrentContext ( const char *name, int idx );
+    ~CurrentContext();
 
-	/* Should be called only in blocks having an instance of
-	   CurrentContext. The argument, when not default, should be
-	   __LINE__ (and it is included in the returned string).
-	*/
-	static std::string format_context ( int ln = -1 );
+    /* Should be called only in blocks having an instance of
+       CurrentContext. The argument, when not default, should be
+       __LINE__ (and it is included in the returned string).
+    */
+    static std::string format_context ( int ln = -1 );
 
-	template<typename Expected, typename Actual>
-	static void CheckEqualEx ( UnitTest::TestResults& results,
-	                           Expected const& expected,
-	                           Actual const& actual,
-	                           UnitTest::TestDetails const& details ) {
-		if ( ! ( expected == actual ) ) {
-			UnitTest::MemoryOutStream stream;
-			stream << format_context() << "expected " << expected << " but was " << actual;
+    template<typename Expected, typename Actual>
+    static void CheckEqualEx ( UnitTest::TestResults& results,
+                               Expected const& expected,
+                               Actual const& actual,
+                               UnitTest::TestDetails const& details ) {
+        if ( ! ( expected == actual ) ) {
+            UnitTest::MemoryOutStream stream;
+            stream << format_context() << "expected " << expected << " but was " << actual;
 
-			results.OnTestFailure ( details, stream.GetText() );
-		}
-	}
+            results.OnTestFailure ( details, stream.GetText() );
+        }
+    }
 
-	template<typename Expected, typename Actual, typename Tolerance>
-	static void CheckCloseEx ( UnitTest::TestResults& results,
-	                           Expected const& expected,
-	                           Actual const& actual,
-	                           Tolerance const& tolerance,
-	                           UnitTest::TestDetails const& details ) {
-		if ( !UnitTest::AreClose ( expected, actual, tolerance ) ) {
-			UnitTest::MemoryOutStream stream;
-			stream << format_context() << "expected " << expected << " +/- " << tolerance << " but was " << actual;
+    template<typename Expected, typename Actual, typename Tolerance>
+    static void CheckCloseEx ( UnitTest::TestResults& results,
+                               Expected const& expected,
+                               Actual const& actual,
+                               Tolerance const& tolerance,
+                               UnitTest::TestDetails const& details ) {
+        if ( !UnitTest::AreClose ( expected, actual, tolerance ) ) {
+            UnitTest::MemoryOutStream stream;
+            stream << format_context() << "expected " << expected << " +/- " << tolerance << " but was " << actual;
 
-			results.OnTestFailure ( details, stream.GetText() );
-		}
-	}
+            results.OnTestFailure ( details, stream.GetText() );
+        }
+    }
 };
 
